### Method

# Secret Value get

#### Declaration [src]

    const gchar*
    secret_value_get (
      SecretValue* value,
      gsize* length
    )

#### Description [src]

Get the secret data in the `SecretValue`.

The value is not necessarily null-terminated unless it was created with `secret_value_new()` or a null-terminated string was passed to `secret_value_new_full()`.

#### Parameters

`length`

  Type: `gsize*`

  The length of the secret.

  The argument will be set by the function.

#### Return value

Type: An array of `guint8`

The secret data.

The length of the array is in the `length` argument.
The data is owned by the instance.